/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/**
 * 画面読込時追加処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function onLoadExtra() {
	// 項目背景色設定
	setFieldsBgColor(ARY_FIELDS_ID		, COLOR_FIELD_NORMAL);
	setFieldsBgColor(ARY_ERR_FIELDS_ID	, COLOR_FIELD_ERROR);
	// フォーカス設定
	setFocus(PRM_PLT_CLOSE_YEAR);
}

/**
 * サーバー通信処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function submitForm(objForm) {
	// 入力チェック
	if (validate()) {
		// サーバー通信(入力エラー無の場合)
		doSubmitMessage(objForm, 'P1321', 'QC0001', "");
	}
}

/**
 * 入力チェック
 * @param 無し
 * @return チェック結果(true：OK、false：NG)
 * @throws 実行時例外
 */
function validate() {
	// フィールド背景色設定
	setFieldsBgColor(ARY_FIELDS_ID, COLOR_FIELD_NORMAL);

	// 入力チェック
	var aryMessage = new Array();
	
	checkDate(PRM_PLT_CLOSE_YEAR, PRM_PLT_CLOSE_MONTH, PRM_PLT_CLOSE_DAY, NAM_CLOSE_DATE, aryMessage);
	var closeDate = new Date(getFormValue(PRM_PLT_CLOSE_YEAR), getFormValue(PRM_PLT_CLOSE_MONTH) - 1, getFormValue(PRM_PLT_CLOSE_DAY));
	if (Date.parse(getFormValue(PRM_HID_LIMIT_START_DATE)) > closeDate
			|| Date.parse(getFormValue(PRM_HID_LIMIT_END_DATE)) < closeDate
	) {
		if (aryMessage.length == 0) {
			setFocus(PRM_PLT_CLOSE_YEAR);
			setMessage("WC0006", NAM_CLOSE_DATE);
		}
		setBgColor(PRM_PLT_CLOSE_YEAR, COLOR_FIELD_ERROR);
		setBgColor(PRM_PLT_CLOSE_MONTH, COLOR_FIELD_ERROR);
		setBgColor(PRM_PLT_CLOSE_DAY, COLOR_FIELD_ERROR);
		aryMessage.push(getMessage("WC0006", NAM_CLOSE_DATE));
	}

	if (aryMessage.length == 0) {
		return true;
	} else {
		showMessage(aryMessage);
		return false;
	}
}
